# 0.16.9

## Changed
- Example app has been updated to use React Native 0.79.2 and React 19.0.0
- Minimum supported React Native version is now 0.79.0
- Minimum supported React version is now 19
- Updated iOS SDK to 4.0.15
- Updated Android SDK to 4.2.89

# 0.16.8

## Added
- New properties in **Stats** interface (not currently supported on Android):
  - **Stats.indicatedAverageBitrate** property
  - **Stats.indicatedBitrate** property
  
## Changed
- Updated documentation, **liveConfiguration.liveEdgeLatencyMs** is supported on tvOS
- Updated Android SDK to 4.2.86 which requires AGP 8.6.0 or higher
- Example app has been updated to use React Native 0.76.0
- Minimum supported iOS/tvOS version is now 15.1
- Minimum supported React Native version is now 0.73.0
- On iOS, **Stats.estimatedBandwidth** is calculated based on either the bitrate observed by the operating system or the transferred bytes, depending on which value is available
- Internally, **CLThumbnail** is no longer a singleton. Call **CLVideo.setThumbnail** after each stream load to initialize thumbnails

# 0.16.7

## Fixed
- Duplicated track selection in the example app for tracks with the same language
- Throw a fatal error if a secondary display is not allowed

## Changed
- Updated iOS SDK to 4.0.12
- Updated Android SDK to 4.2.83

# 0.16.6

## Added

## Changed
- Updated iOS SDK to 4.0.10

## Fixed
- Map **PlayerConfiguration.userId** in the **MediaLoadRequestUtils**

# 0.16.5

## Fixed
- **PlayerConfiguration.startTimeMs** is not respected
- **onSuccess** callback is not fired when the **CLAppleTVPlayer.openPlayer** call completes successfully

## Changed
- Updated iOS SDK to 4.0.9

# 0.16.4

## Added
- **NetworkConfiguration.drmAttemptParameters** option
- New properties in **Stats** interface (not currently supported on Android):
  - **Stats.transferDurationSec** property
  - **Stats.numberOfBytesTransferred** property
  - **Stats.numberOfMediaRequests** property
  - **Stats.playbackStartTimestamp** property
  - **Stats.startupTimeSec** property
  - **Stats.durationWatchedSec** property
  - **Stats.numberOfStalls** property
  - **Stats.segmentsDownloadedDurationSec** property
  - **Stats.observedBitrateStandardDeviation** property
  - **Stats.observedBitrate** property
  - **Stats.averageAudioBitrate** property
  - **Stats.averageVideoBitrate** property

## Changed
- Updated iOS SDK to 4.0.8
- **Stats.streamBandwidth** is undefined if no data
- **Stats.estimatedBandwidth** is undefined if no data
- **CLAppleTVPlayer**:
  - **skipToNextChannel** and **skipToPreviousChannel** callbacks have been restored.
  - **openPlayer** can replace the current stream when a single stream is loaded.

# 0.16.3

## Added 
- **PlayerConfiguration.secondaryDisplayBehaviour** option
- **PlayerConfiguration.android.secondaryDisplayBehaviour** option
- **PlayerConfiguration.android.liveConfiguration.catchupConfiguration** option
- **PlayerConfiguration.android.liveConfiguration.customUtcTimingElement** option
- **PlayerConfiguration.android.liveConfiguration.hlsForcePlaylistUpdateTargetDuration** option
- **PlayerConfiguration.android.liveConfiguration.hlsPlaylistUpdateTargetDurationCoefficient** option
- **PlayerConfiguration.android.bufferConfiguration.prioritizeInstreamOverManifestDuration** option 
- **CLVideo.setPlaybackRate** and **CLVideo.getPlaybackRate** method

## Changed
- Updated Android SDK to 4.2.81
- Updated iOS SDK to 4.0.7
- Moved **PlayerConfiguration.liveConfiguration** options (except for **liveEdgeLatencyMs**) to **PlayerConfiguration.android.liveConfiguration**
- Moved **PlayerConfiguration.bufferConfiguration** options to **PlayerConfiguration.android.bufferConfiguration**
- **CLAppleTVPlayer** updated to support playlist:
  - Removed **SkipToNextChannel** and **SkipToPreviousChannel** events.
  - Removed **replaceStreamAndActions()** and **replaceStream()** methods.
  - Added **streamChanged** event.
  - Added **getCurrentStreamIndex()** method.
  - Added **loopStreams?: Boolean** parameter to**openPlayer()** method.
  - Changed the parameter of the **openPlayer()** method to an array, **streams: TVStream[]**.

## Fixed
- Error severity codes on iOS were not previously aligned with their Android counterparts. Now severity codes are consistent across platforms: 0 (warning), 1 (recoverable), and 2 (fatal).
- Playlist restarts from the beginning after the last item finishes on iOS

# 0.16.2

## Changed
- Updated Android SDK to 4.2.81-beta

# 0.16.1

## Changed
- Updated iOS SDK to 4.0.6

# 0.16.0

## Fixed
- Verimatrix support broken on Apple

## Added
- **PlayerConfiguration.networkConfiguration** option
- **DrmType.VERIMATRIX** enum value
- **Playlist** class 

## Changed
- **CLVideo.props.playerConfig** parameter to **CLVideo.props.media**
- **CLVideo.props.media** accepts **PlayerConfiguration** or **Playlist** type 
- **CLVideo** getters throw **PlayerNotReady** error if the player is not ready
- Android SDK no longer ships with the **libc++_shared.so** dependency
- Updated iOS SDK to 4.0.5
- Updated Android SDK to 4.2.80-beta2

## Removed
- **CLVideo.setPlayerConfig** method

# 0.15.1

## Added
- **CLVideo.getStats** method

## Changed
- Updated iOS SDK to 4.0.3
- Updated Android SDK to 4.2.77

# 0.15.0

## Fixed
- Grid thumbnails are not displayed on iOS
- Custom DRM options passed to **CLAppleTVPlayer** are ignored
- Improved error mapping on iOS

## Added
- Youbora analytics support on Apple
- Integration with the react-native-google-cast package to the example app
- **MediaLoadRequestUtils** and **MediaStatusUtils** class
- **PlayerConfiguration.preferredAudioLanguage** option
- **CLVideo.isLive** method

## Removed
- **PlayerConfiguration.contentType** option; Use **PlayerConfiguration.source.type** instead
- **CLCastButton** component

## Changed
- **CLAppleTVPlayer.openPlayer**, **CLAppleTVPlayer.replaceStreamAndActions** and **CLAppleTVPlayer.replaceStream**:
  - **stream.playerConfig** is of type **PlayerConfiguration**, not **string** 
  - **stream.channelMetadata** is of type **ChannelMetadata**, not **string** 
  - **stream.nextChannelInfo** is of type **NextChannelInfo**, not **string**
- **CLAppleTVPlayer.setMetadata**:
  - **metadata.channelMetadata** is of type **ChannelMetadata**, not **string**
- **CLAppleTVPlayer.replaceStreamAndActions**:
  - **transportBarActions** is of type **Array<Action | PopupMenu>**, not **any[]**
- **CLAppleTVPlayer.openPlayer**, **CLAppleTVPlayer.replaceStreamAndActions** and **CLAppleTVPlayer.setTransportBarActions**:
  - **transportBarActions** is of type **Array<Action | PopupMenu>**, not **any[]**
- **CLAppleTVPlayer.willSeek** is of type **WillSeekCallback**, not generic event callback
- **CLAppleTVPlayer.didSeek** is of type **DidSeekCallback**, not generic event callback
- **CLAppleTVPlayer.onError** is of type **ErrorEventCallback**, not generic event callback
- **CLAppleTVPlayer.audioTrackChanged** is of type **AudioTrackChangedCallback**, not generic event callback
- **CLAppleTVPlayer.subtitleTrackChanged** is of type **SubtitleTrackChangedCallback**, not generic event callback
- Renamed **PlayerConfiguration.contentUrl** to **source** which accepts **string**, **Source** or **Source[]**
- Updated Android SDK to 4.2.74
- Updated iOS SDK to 4.0.1

# 0.14.2

## Fixed
- License acquisition may fail if multiple calls are made in parallel on iOS

## Changed
- Improved speed of player reload on iOS
- Updated iOS SDK to version 4.0.0-rc6

# 0.14.1

## Added
* The package has been published to NPM

## Fixed
- **CLAppleTVPlayer.getLiveStartTime** and **CLVideo.getLiveStartTime** methods return inaccurate values
- **PlayerConfiguration.drmConfiguration.FAIRPLAY** property is ignored

## Changed
* Updated the package name to **@castlabs/react-native-prestoplay**

# 0.14.0

## Added
- **AudioTrack.descriptors**
- **SubtitleTrack.descriptors**
- **PlayerConfiguration.autoPlay** option
- **CLAppleTVPlayer.getLiveStartTime** method

## Removed
- **CLVideo.props.autoPlay** property
- **CLVideo.props.loop** property
- **PlayerConfiguration.version** option

## Changed
- **CLAppleTVPlayer.getPosition** rejects a promise on error instead of returning `null`
- **CLAppleTVPlayer.getAudioTrack** rejects a promise on error instead of returning `null`
- **CLAppleTVPlayer.getSubtitleTrack** rejects a promise on error instead of returning `null`
- Updated Android SDK to 4.2.70

# 0.13.0

## Fixed
- App crashes when loading the next stream on iOS
- Chromecast plays only the first stream on iOS
- Side-loaded subtitles not visible on iOS
- Unify error codes between Android and iOS

## Added
- Youbora analytics support on Android
- Auto-generated documentation for the API
- Picture in Picture is supported on Android

## Changed
- **CLVideo.props.playerConfig** is of type **PlayerConfiguration**, not **string**
- **CLVideo.initialize** accepts **SDKConfiguration**, not **any**
- **CLVideo.props** is of type **CLVideoProps**
- **CLThumbnail.props** is of type **CLThumbnailProps**
- **CLCastButton.props** is of type **CLCastButtonProps**
- The Youbora repository in `./android/build.gradle` is mandatory, see the Setup guide for more information
- Updated Android SDK to 4.2.69
- Updated iOS SDK to 4.0.0-rc5

# 0.12.0

## Fixed
- Download notification info (error, queued and active downloads) is fixed on Android
- Play button doesn't work after a phone call on iOS
- Expanded media controls aren't shown when casting on iOS

## Added
- Added **CLVideo.isPlayWhenReady** method
- **videoQualityIndex**, **audioTrackIndex** and **subtitleTrackIndex** is added to the CastData which is returns on **onCastStopped** event.
- Library is distributed as JavaScript with TypeScript definitions

## Changed
- Renamed **CLVideo.props.playWhenReady** to **autoPlay**
- Changed **CLVideo.play** method to asynchronous
- Changed **CLVideo.pause** method to asynchronous
- Updated Cast SDK dependency to 4.8.0
- Bumped minimum iOS/tvOS version to 13.0 (required by Google Cast SDK)
- Updated Android SDK to version 4.2.68
- Updated iOS SDK to version 4.0.0-rc4

## Removed
- Removed **PlayerConfig.autoPlay** option

# 0.11.2

## Fixed
- **CLAppleTVPlayer.setOptions** is performed from the main thread

# 0.11.1

## Fixed
- Controls disappear after moving to the next item in a playlist

## Changed
- **CLVideo.getPosition** metod has the same behaviour on Android and iOS
- Updated iOS SDK to 4.0.0-rc3

# 0.11.0

## Added
- **PlayerConfig.bufferConfiguration** option (Android only)
- **CLAppleTVPlayer.getAudioTrack** method
- **CLAppleTVPlayer.getSubtitleTrack** method
- **CLAppleTVPlayer.audioTrackChanged** callback
- **CLAppleTVPlayer.subtitleTrackChanged** callback
- **CLAppleTVPlayer.onError** callback
- **CLAppleTVPlayer.disableChannelSkipInLiveStream** option
- **CLVideo.getLiveStartTime** method is implemented on iOS. A live HLS stream has to have **EXT-X-PROGRAM-DATE-TIME** defined.

## Fixed
- Excessive player events on iOS and tvOS
- Screen turning off during playback on Android
- Reliability of VideoView initialization on Android

## Changed
- Renamed **CLAppleTVPlayer.TVStream.tvMetadata** to **channelMetadata**
- Renamed **itemDescription** in **CLAppleTVPlayer.setMetadata** to **description**.
- Updated Android SDK to version 4.2.66
- Updated iOS SDK to 4.0.0-rc2

# 0.10.0

## Added
- Chromecast support for Android and iOS (**CLCastButton**)
- **CLVideo.getLiveStartTime** method is implemented on Android
- Implemented automatic fetching of iOS SDK. For more information, please refer to the "Setup" section in the readme file.

## Changed
- Updated react-native-tvos to 0.71.11-0
- Update iOS SDK to 4.0.0-rc1
- Updated Android SDK to version 4.2.65
- **clSdkVersion** in `./android/build.gradle` is now optional. We recommend removing it to rely on the default selection.

## Fixed
- Video problem which is not displayed for offline contents on Android is fixed.
- Fixed Android build time by reordering repository declarations. For more information, please refer to the "Setup" section in the readme file.

# 0.9.0

## Added
- **onPlayerConfigChanged** event is implemented on iOS.
- **onPlayerModelChanged** event is implemented on iOS.
- http code, url, and response body are added to the error event of **CLVideo** component.
- Added **play()** and **pause()** functions in Apple TV player.

## Changed
- Apple TV player, system image can be used for action button.
- Updated demo configs to demonstrate **liveConfiguration.liveEdgeLatencyMs** in HLS player and TVPlayerViewController.

## Fixed
- Fixed **playWhenReady** property change no effect in PlayerScreen.
- Fixed **getPosition()** to return a single value in Apple TV player.
- Fixed can't remove custom action listener in Apple TV player.
- Fixed onError event is not called on iOS.
- Audio tracks for HLS streams are shown in example app (Android).

# 0.8.0

## Added
- **onPlayerModelChanged** event is added to the CLVideo.
- Support LIVE channel flipping on Apple TV Player
- Added **CLAppleTVPlayer** wrapper class for Apple TV player.
- Added **getPosition()** method to Apple TV player.
- Added **requiresLinearPlayback** option to Apple TV player.

## Fixed
- Android missing dependency error to **LocalBroadcastManager** is fixed.
- Fixed playerConfig property change no effect in PlayerScreen.

# 0.7.0

## Added
- Live configuration is supported now in the player configuration.
- Support Picture in Picture swapping on iOS and tvOS.
- TVPlayerModule pass the seek and playback status events to RN.

## Changed
- Set the castlabs-license and chromecast app id in react-native app. (For more details refer to README.md)

## Fixed
- Fixed palyback not paused when unmounting the player screen on iOS and tvOS.

# 0.6.0

## Added
- If the CLVideo.playerConfig is updated, a new player item is played
- Support the **startTimeMs** and **userId** option
- Next button is added to example player screen

## Changed
- Changed the return type from array to single value in iOS/tvOS VideoModule

## Fixed
- Fixed request modification crash on iOS
- Fixed the track options are not displayed on iOS/tvOS
- Fixed can not select the track option on tvOS

# 0.5.0

## Added
- Added 'ignoreSilentSwitch' flag on iOS
- Added request and response modifiers for DRM

## Changed
- Updated ios/TVPlayerModule and Apple TV demo screen

# 0.4.0

## Added
- Added the PictureInPicture support on iOS
- Remote control handling on TV platform - play/pause, display the control bar with the select key
- Added Google Chromecast support on iOS
- Added slide bar on Apple tvOS
- Added Apple tvOS player with native UI
- Add options parameter to control the TVPlayerViewController - allowsPictureInPicturePlayback

## Changed
- Display focus effect in control buttons on TV platform

## Fixed
- Fix the Picture in Picture error in TVPlayerViewController
- Memory leak problem on Android is fixed

# 0.3.0

## Added
- Added Android Downloader
- Added Fairplay support
- Added tvOS support

# 0.2.0

## Added
- The SDK supports iOS in this version.
- DRM configuration for both DRMToday and Custom DRM is supported (Android Only).
