package com.rnsdk.clvideo.thumbnail;

import java.util.HashMap;

/**
 * Instance manager for {@link ThumbnailView}.
 */
public class ThumbnailInstanceManager {

  private static HashMap<Integer, ThumbnailView> thumbnailViews = new HashMap<>();

  public static void addInstance(int instanceId, ThumbnailView thumbnailView) {
    thumbnailViews.put(instanceId, thumbnailView);
  }

  public static void removeInstance(int instanceId) {
    thumbnailViews.remove(instanceId);
  }

  public static ThumbnailView getInstance(int instanceId) {
    return thumbnailViews.get(instanceId);
  }

  public static int getCount() {
    return thumbnailViews.size();
  }
}
