package com.rnsdk.clvideo.thumbnail;

import androidx.annotation.NonNull;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.common.MapBuilder;
import com.facebook.react.uimanager.ThemedReactContext;
import com.facebook.react.uimanager.ViewGroupManager;
import java.util.Map;

/**
 * View manager for {@link ThumbnailView}.
 */
public class ThumbnailViewManager extends ViewGroupManager<ThumbnailView> {

  public static final String REACT_CLASS = "ThumbnailView";

  public static final String EVENT_VIEW_CREATED = "onViewCreated";

  ReactApplicationContext applicationContext;

  public ThumbnailViewManager(ReactApplicationContext reactContext) {
    applicationContext = reactContext;
  }

  @Override
  public String getName() {
    return REACT_CLASS;
  }

  @Override
  protected ThumbnailView createViewInstance(ThemedReactContext reactContext) {
    return new ThumbnailView(reactContext, null);
  }

  @Override
  public void onDropViewInstance(@NonNull ThumbnailView view) {
    super.onDropViewInstance(view);
    view.release();
  }

  @Override
  public Map<String, Object> getExportedCustomDirectEventTypeConstants() {
    return MapBuilder.<String, Object>builder()
        .put(EVENT_VIEW_CREATED, MapBuilder.of("registrationName", EVENT_VIEW_CREATED))
        .build();
  }
}
