package com.rnsdk.clvideo.utils;

import android.view.Surface;
import androidx.annotation.NonNull;
import com.castlabs.android.player.VideoRendererListener;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.decoder.DecoderCounters;

/**
 * A listener that informs about video rendering events such as decoder initializations,
 * format changes and frame drops.
 */
public class AbstractVideoRendererListener implements VideoRendererListener {
  @Override
  public void onVideoEnabled(DecoderCounters decoderCounters) {}

  @Override
  public void onVideoDecoderInitialized(String s, long l, long l1) {}

  @Override
  public void onVideoDecoderReleased(@NonNull String s, long l, long l1) {}

  @Override
  public void onVideoInputFormatChanged(Format format) {}

  @Override
  public void onDroppedFrames(int i, long l) {}

  @Override
  public void onRenderedFirstFrame(Surface surface) {}

  @Override
  public void onVideoDisabled(DecoderCounters decoderCounters) {}
}
