package com.rnsdk.clvideo.video;

import java.util.HashMap;

/**
 * The instance manager for {@link VideoView}.
 */
public class VideoInstanceManager {

  private static HashMap<Integer, VideoView> videoViews = new HashMap<>();

  public static void addInstance(int instanceId, VideoView videoView) {
    videoViews.put(instanceId, videoView);
  }

  public static void removeInstance(int instanceId) {
    videoViews.remove(instanceId);
  }

  public static VideoView getInstance(int instanceId) {
    return videoViews.get(instanceId);
  }

  public static int getCount() {
    return videoViews.size();
  }
}
