import React from 'react';
import {SafeAreaView, StyleSheet, View} from 'react-native';
import {CastButton} from 'react-native-google-cast';
import Colors from '../utils/Colors';

function AppBar() {
  return (
    <SafeAreaView style={styles.container}>
      <View style={styles.appBar}>
        <CastButton style={styles.castButton} />
      </View>
    </SafeAreaView>
  );
}

const styles = StyleSheet.create({
  container: {
    backgroundColor: Colors.theme1,
  },
  appBar: {
    flexDirection: 'row',
    justifyContent: 'flex-end',
    alignItems: 'center',
    height: 56,
    width: '100%',
    backgroundColor: Colors.theme1,
    paddingEnd: 16,
  },
  castButton: {
    width: 24,
    height: 24,
    tintColor: '#FFFFFF',
  },
});
export default AppBar;
