import React, {Component} from 'react';
import {ActivityIndicator} from 'react-native';
import Colors from '../utils/Colors';

type Props = {
  isVisible?: boolean;
  style?: any;
};

type States = {
  isVisible: boolean;
};

class CLIndicator extends Component<Props, States> {
  public constructor(props: Props) {
    super(props);

    this.state = {
      isVisible: props.isVisible !== undefined ? props.isVisible : true,
    };
  }

  render() {
    if (this.state.isVisible) {
      return (
        <ActivityIndicator
          style={this.props.style}
          size="large"
          color={Colors.theme1}
        />
      );
    } else {
      return null;
    }
  }
}

export default CLIndicator;
