import React, {Component} from 'react';
import {DotIndicator} from 'react-native-indicators';
import Colors from '../utils/Colors';

type Props = {
  isVisible?: boolean;
  style?: any;
  color?: string;
};

type States = {
  isVisible: boolean;
  color: string;
};

class CLLoader extends Component<Props, States> {
  public constructor(props: Props) {
    super(props);

    this.state = {
      isVisible: props.isVisible !== undefined ? props.isVisible : true,
      color: props.color !== undefined ? props.color : Colors.theme1,
    };
  }

  render() {
    if (this.state.isVisible) {
      return (
        <DotIndicator
          style={this.props.style}
          count={3}
          color={this.state.color}
        />
      );
    } else {
      return null;
    }
  }
}

export default CLLoader;
