import React, {Component} from 'react';
import {Text} from 'react-native';

type Props = {
  isVisible?: boolean;
  style?: any;
  text?: string;
};

type States = {
  isVisible: boolean;
  text: string;
};

class CLText extends Component<Props, States> {
  public constructor(props: Props) {
    super(props);

    this.state = {
      isVisible: props.isVisible !== undefined ? props.isVisible : true,
      text: props.text !== undefined ? props.text : '',
    };
  }

  render() {
    if (this.state.isVisible) {
      return <Text style={this.props.style}> {this.state.text} </Text>;
    } else {
      return null;
    }
  }

  public setText(text: string) {
    this.setState({text: text});
  }
}

export default CLText;
