import React, {Component} from 'react';
import {View, ViewProps} from 'react-native';

interface Props extends ViewProps {
  isVisible?: boolean;
  style?: any;
}

type States = {
  isVisible: boolean;
};

class CLView extends Component<Props, States> {
  public constructor(props: Props) {
    super(props);

    this.state = {
      isVisible: props.isVisible !== undefined ? props.isVisible : true,
    };
  }

  render() {
    if (this.state.isVisible) {
      let {children} = this.props;
      return <View style={this.props.style}>{children}</View>;
    } else {
      return null;
    }
  }
}

export default CLView;
