import React, {Component} from 'react';
import {View, ViewProps} from 'react-native';

interface Props extends ViewProps {
  children: any;
}

type States = {
  isVisible: boolean;
};

class HideableView extends Component<Props, States> {
  public constructor(props: Props) {
    super(props);

    this.state = {
      isVisible: true,
    };
  }

  render() {
    if (!this.state.isVisible) {
      return null;
    }

    return <View>{this.props.children}</View>;
  }
}

export default HideableView;
