import React, {memo} from 'react';
import {Image, StyleSheet, ImageResizeMode, View} from 'react-native';

type Props = {
  source: any;
  resizeMode?: ImageResizeMode;
  style?: any;
};

function Icon(props: Props) {
  return (
    <View style={styles.main}>
      <Image
        style={[styles.image, props.style]}
        source={props.source}
        resizeMode={props.resizeMode}
      />
    </View>
  );
}

const styles = StyleSheet.create({
  main: {
    width: '100%',
    height: '100%',
    position: 'absolute',
    justifyContent: 'center',
    alignItems: 'center',
  },
  image: {
    width: '70%',
    height: '70%',
    tintColor: '#FFFFFF',
  },
});

export default memo(Icon);
