import React, {memo} from 'react';
import {Pressable} from 'react-native';
import Icon from './Icon';

type Props = {
  style?: any;
  icon: any;
  onPress: () => void;
};

function IconButton(props: Props) {
  return (
    <Pressable style={props.style} onPress={props.onPress}>
      <Icon source={props.icon} />
    </Pressable>
  );
}

export default memo(IconButton);
