//
//  AirplayRoutePicker.swift
//  react-native-prestoplay-module
//
//  Created by Asti Manuka on 27/08/22.
//

import AVKit
import React

@objc(AirplayRoutePicker)
class AirplayRoutePicker: NSObject {
    @objc
    static func requiresMainQueueSetup() -> Bool {
        true
    }

    @available(iOS 11.0, *)
    @objc(showRoutePicker:resolver:rejecter:)
    func showRoutePicker(
        options: NSDictionary?,
        resolver resolve: @escaping RCTPromiseResolveBlock,
        rejecter _: @escaping RCTPromiseRejectBlock
    ) {
        DispatchQueue.main.async {
            let routePickerView = AVRoutePickerView()
            routePickerView.isHidden = true

            if #available(iOS 13.0, tvOS 13.0, *) {
                routePickerView.prioritizesVideoDevices =
                    options?["prioritizesVideoDevices"] as? Bool ?? false
            }

            if let button = routePickerView.subviews.first(where: { $0 is UIButton }) as? UIButton {
                button.sendActions(for: .touchUpInside)
                resolve(nil)
            } else {
                // In case it fails sending touch event we can report errors calling reject(...)
            }
        }
    }
}
