//
//  DownloadInstanceManager.swift
//  react-native-prestoplay-module
//
//  Created by Mackode - Bartlomiej Makowski on 12/08/2022.
//

import Foundation
import PRESTOplay

class DownloadInstanceManager {

    // MARK: Internal

    static var shared = DownloadInstanceManager()

    func setInstance(instanceId: String, download: Download) {
        downloads.setObject(download, forKey: instanceId as NSString)
    }

    func removeInstance(instanceId: String) {
        downloads.removeObject(forKey: instanceId as NSString)
    }

    func getInstance(instanceId: String) -> Download? {
        downloads.object(forKey: instanceId as NSString)
    }

    func getCount() -> Int {
        downloads.count
    }

    // MARK: Private

    private let downloads = NSMapTable<NSString, Download>()
}
