
import Foundation
import React

@available(tvOS 15.0, *)
class EventEmitter {

    // MARK: Lifecycle

    private init() { }

    // MARK: Public

    /// Shared Instance.
    public static var sharedInstance = EventEmitter()

    // MARK: Internal

    /// All Events which must be support by React Native.
    lazy var allEvents: [String] = {
        var allEventNames: [String] = []

        // Append all events here

        return allEventNames
    }()

    // When React Native instantiates the emitter it is registered here.
    func registerEventEmitter(eventEmitter: TVPlayerModule) {
        EventEmitter.eventEmitter = eventEmitter
    }

    func dispatch(name: String, body: Any?) {
        EventEmitter.eventEmitter.sendEvent(withName: name, body: body)
    }

    // MARK: Private

    // ReactNativeEventEmitter is instantiated by React Native with the bridge.
    private static var eventEmitter: TVPlayerModule!

}
