//
//  TVPlayerModule.h
//  react-native-prestoplay-module
//
//  Created by Taewoo Kim on 25/11/22.
//

#import <React/RCTBridgeModule.h>
#import <React/RCTEventEmitter.h>

@interface RCT_EXTERN_MODULE(TVPlayerModule, RCTEventEmitter)

RCT_EXTERN_METHOD(
    supportedEvents
)

RCT_EXTERN_METHOD(
  openPlayer:(NSArray *)streamInfos
  options:(NSDictionary *)options
  transportBarActions:(NSArray *)transportBarActions
  infoTabActions:(NSArray *)infoTabActions
  contextualActions:(NSArray *)contextualActions
  loopStreams: (BOOL)loopStreams
  callback:(RCTResponseSenderBlock)callback
)

RCT_EXTERN_METHOD(
    play
)

RCT_EXTERN_METHOD(
    pause
)

RCT_EXTERN_METHOD(
    closePlayer
)

RCT_EXTERN_METHOD(
    setTransportBarActions:(NSArray *)transportBarActions
)

RCT_EXTERN_METHOD(
    setInfoTabActions:(NSArray *)infoTabActions
)

RCT_EXTERN_METHOD(
    setContextualActions:(NSArray *)contextualActions
)

RCT_EXTERN_METHOD(
    setActionState:(NSString *)id state:(BOOL)state
)

RCT_EXTERN_METHOD(
    setActionStateAndUi:(NSString *)id
    state:(BOOL)state
    uiInfo:(NSDictionary *)uiInfo
)

RCT_EXTERN_METHOD(
    setMetadata:(NSString*)metadata
)

RCT_EXTERN_METHOD(
    setOptions:(NSDictionary*)options
)

RCT_EXTERN_METHOD(
    seekToSecond:(double)second
)

RCT_EXTERN_METHOD(
    setRate:(double)rate
)

RCT_EXTERN_METHOD(
    getPosition:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getLiveStartTime:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getAudioTrack:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getSubtitleTrack:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getCurrentStreamIndex:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

@end
