//
//  ThumbnailInstanceManager.swift
//  react-native-prestoplay-module
//
//  Created by Mackode - Bartlomiej Makowski on 13/04/2022.
//

import Foundation

class ThumbnailInstanceManager {

    // MARK: Internal

    static var shared = ThumbnailInstanceManager()


    func addInstance(instanceId: Int, thumbnailView: ThumbnailView) {
        thumbnailViews.setObject(thumbnailView, forKey: NSNumber(value: instanceId))
    }

    func removeInstance(instanceId: Int) {
        thumbnailViews.removeObject(forKey: NSNumber(value: instanceId))
    }

    func getInstance(instanceId: Int) -> ThumbnailView? {
        thumbnailViews.object(forKey: NSNumber(value: instanceId))
    }

    func getCount() -> Int {
        thumbnailViews.count
    }

    // MARK: Private

    private let thumbnailViews = NSMapTable<NSNumber, ThumbnailView>()
}
