//
//  VideoInstanceManager.swift
//  react-native-prestoplay-module
//
//  Created by Mackode - Bartlomiej Makowski on 13/04/2022.
//

import Foundation

class VideoInstanceManager {

    // MARK: Internal

    static var shared = VideoInstanceManager()


    func addInstance(instanceId: Int, videoView: VideoView) {
        videoViews.setObject(videoView, forKey: NSNumber(value: instanceId))
    }

    func getInstance(instanceId: Int) -> VideoView? {
        videoViews.object(forKey: NSNumber(value: instanceId))
    }

    func getCount() -> Int {
        videoViews.count
    }

    // MARK: Private

    private let videoViews = NSMapTable<NSNumber, VideoView>()
}
