//
//  RCTBridgeModule.m
//  react-native-prestoplay-module
//
//  Created by Mackode - Bartlomiej Makowski on 14/04/2022.
//

#import <Foundation/Foundation.h>
#import <React/RCTBridgeModule.h>

@interface RCT_EXTERN_MODULE(VideoModule, NSObject)

RCT_EXTERN_METHOD(
    initialize:(nonnull NSDictionary *)sdkConfig
    companionSdkInfo:(nonnull NSDictionary *)companionSdkInfo
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getPlayerState:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getDuration:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    isLive:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getPosition:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getProgressPercentage:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getBufferedPercentage:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    setPosition:(nonnull NSNumber *)instanceId
    position:(nonnull NSNumber *)position
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getVolume:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    setVolume:(nonnull NSNumber *)instanceId
    volume:(nonnull NSNumber *)volume
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)


RCT_EXTERN_METHOD(
    getPlaybackRate:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    setPlaybackRate:(nonnull NSNumber *)instanceId
    newPlaybackRate:(nonnull NSNumber *)newPlaybackRate
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getStats:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getLiveStartTime:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getVideoQuality:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getVideoQualityMode:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    setVideoQuality:(nonnull NSNumber *)instanceId
    index:(nonnull NSNumber *)index
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getVideoQualities:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getAudioTrack:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    setAudioTrack:(nonnull NSNumber *)instanceId
    index:(nonnull NSNumber *)index
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getAudioTracks:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getSubtitleTrack:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    setSubtitleTrack:(nonnull NSNumber *)instanceId
    index:(nonnull NSNumber *)index
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getSubtitleTracks:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    setSubtitleStyle:(nonnull NSNumber *)instanceId
    style:(nonnull NSDictionary *)style
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    getThumbnailData:(nonnull NSNumber *)instanceId
    position:(nonnull NSNumber *)position
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    setThumbnail:(nonnull NSNumber *)instanceId
    thumbnailId:(nonnull NSNumber *)thumbnailId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    isPictureInPicturePossible:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    togglePictureInPicture:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    isAirplayPossible:(nonnull NSNumber *)instanceId
    resolver:(RCTPromiseResolveBlock)resolve
    rejecter:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    playPlaylistItem:(nonnull NSNumber *)instanceId
    index:(nonnull NSNumber *)index
    resolve:(RCTPromiseResolveBlock)resolve
    reject:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    addPlaylistItem:(nonnull NSNumber *)instanceId
    index:(nonnull NSNumber *)index
    jsPlayerConfiguration:(nonnull NSString *)jsPlayerConfiguration
    resolve:(RCTPromiseResolveBlock)resolve
    reject:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    removePlaylistItem:(nonnull NSNumber *)instanceId
    index:(nonnull NSNumber *)index
    resolve:(RCTPromiseResolveBlock)resolve
    reject:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    play:(nonnull NSNumber *)instanceId
    resolve:(RCTPromiseResolveBlock)resolve
    reject:(RCTPromiseRejectBlock)reject
)

RCT_EXTERN_METHOD(
    pause:(nonnull NSNumber *)instanceId
    resolve:(RCTPromiseResolveBlock)resolve
    reject:(RCTPromiseRejectBlock)reject
)

@end
