//
//  VideoViewManager.m
//  react-native-prestoplay-module
//
//  Created by Mackode - Bartlomiej Makowski on 25/02/2022.
//

#import "VideoViewManager.h"
#import "react_native_prestoplay-Swift.h"

@interface VideoViewManager()

@property (nonatomic, strong) VideoView *videoView;

@end

@implementation VideoViewManager

RCT_EXPORT_MODULE(VideoView)
RCT_EXPORT_VIEW_PROPERTY(mediaLoadRequest, NSString)

RCT_EXPORT_VIEW_PROPERTY(onViewCreated, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onStateChanged, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onError, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onSeekTo, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onSeekCompleted, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onFullyBuffered, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onThumbnailLoaded, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onPlayerConfigChanged, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onPlayerModelChanged, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onPlaylistItemChanged, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onPlaylistEnded, RCTDirectEventBlock)

- (UIView *)view
{
  if (self.videoView == nil) {
    self.videoView = [[VideoView alloc] init];
  }

  return self.videoView;
}

@end
