import React, { Component } from 'react';
import { LayoutChangeEvent, NativeSyntheticEvent } from 'react-native';
import CLThumbnailProps from '../types/CLThumbnailProps';
type States = {
    isVisible: boolean;
    left: number;
};
type ViewCreatedData = {
    instanceId: number;
};
/**
 * @example
 * ```typescript
 * import {CLThumbnail} from '@castlabs/react-native-prestoplay';
 * ```
 * @noInheritDoc
 */
declare class CLThumbnail extends Component<CLThumbnailProps, States> {
    instanceId: number;
    x: number;
    y: number;
    width: number;
    height: number;
    constructor(props: CLThumbnailProps);
    render(): React.JSX.Element;
    onLayout(event: LayoutChangeEvent): void;
    onViewCreated(event: NativeSyntheticEvent<ViewCreatedData>): void;
}
export default CLThumbnail;
