import React, { Component } from 'react';
import { View, StyleSheet, requireNativeComponent, } from 'react-native';
import C from '../utils/Constants';
const ThumbnailView = requireNativeComponent('ThumbnailView');
/**
 * @example
 * ```typescript
 * import {CLThumbnail} from '@castlabs/react-native-prestoplay';
 * ```
 * @noInheritDoc
 */
class CLThumbnail extends Component {
    instanceId = C.UNSET;
    x = C.UNSET;
    y = C.UNSET;
    width = C.UNSET;
    height = C.UNSET;
    constructor(props) {
        super(props);
        this.state = {
            isVisible: props.isVisible !== undefined ? props.isVisible : false,
            left: props.style.left,
        };
    }
    render() {
        return (<View style={[
                this.props.style,
                {
                    left: this.state.left,
                    opacity: this.state.isVisible ? 1 : 0,
                },
            ]}>
        <ThumbnailView 
        // @ts-ignore (style property)
        style={styles.thumbnail} onLayout={(event) => {
                this.onLayout(event);
            }} onViewCreated={(event) => {
                this.onViewCreated(event);
            }}/>
      </View>);
    }
    //=================================
    //============  Events  ===========
    //=================================
    onLayout(event) {
        let { x, y, width, height } = event.nativeEvent.layout;
        this.x = x;
        this.y = y;
        this.width = width;
        this.height = height;
    }
    onViewCreated(event) {
        this.instanceId = event.nativeEvent.instanceId;
        if (this.props.onViewCreated) {
            this.props.onViewCreated(this.instanceId);
        }
    }
}
const styles = StyleSheet.create({
    thumbnail: {
        width: '100%',
        height: '100%',
    },
});
export default CLThumbnail;
