import AndroidCatchupConfiguration from './AndroidCatchupConfiguration';
import AndroidCustomUtcTimingElement from './AndroidCustomUtcTimingElement';
export default interface AndroidLiveConfiguration {
    /**
     * For ultra low latency streams, set or overwrite the availability start time offset.
     */
    availabilityStartTimeOffsetOverwriteMs?: number;
    /**
     * Defines the catchup configuration.
     */
    catchupConfiguration?: AndroidCatchupConfiguration;
    /**
     * Custom CustomUtcTimingElement.
     */
    customUtcTimingElement?: AndroidCustomUtcTimingElement;
    /**
     * Whether the `hlsPlaylistUpdateTargetDurationCoefficient` should also be applied
     * when the currently loaded manifest is renewed.
     */
    hlsForcePlaylistUpdateTargetDuration?: boolean;
    /**
     * The HLS segment index counting from the tail from which the live playback should start
     */
    hlsLiveTailSegmentIndex?: number;
    /**
     * The default coefficient applied to playlist update interval
     * when calculating the playlist update interval.
     */
    hlsPlaylistUpdateTargetDurationCoefficient?: number;
    /**
     * The DASH manifest update interval in milliseconds. If defined, the default value from the manifest is ignored.
     */
    minManifestUpdatePeriodMs?: number;
    /**
     * Set the manifest notify interval in milliseconds. This only applies for implicit live DASH manifests.
     */
    notifyManifestIntervalMs?: number;
    /**
     * Normally live streams start at the beginning of a segment. Set this to false to allow live streams to start at a segment relative to the current device time.
     */
    snapToSegmentStart?: boolean;
    /**
     * Set the time sync safety to deal with inaccurate time syncs by adjusting the calculated server time.
     */
    timeSyncSafetyMs?: number;
}
