declare enum DrmErrorCode {
    /** Error indicating a general error. */
    ERROR_UNKNOWN = 0,
    /** Error indicating an invalid request that was rejected by the server. */
    ERROR_INVALID_REQUEST = 1,
    /** Error indicating an unauthorized request. */
    ERROR_NOT_AUTHORIZED = 2,
    /** Error indicating that the requested content was not found. */
    ERROR_KEY_NOT_FOUND = 3,
    /**
    Error indicating that an IO error occurred during the license request. This cause of
    this exception will be an java.io.IOException.
    */
    ERROR_IO_ERROR = 4,
    /**
    Error indicating that the provisioning request failed. Error of this type can also
    have an java.io.IOException as cause.
    */
    ERROR_PROVISIONING_FAILED = 5,
    /** Error raised when DRMtoday refuses license renewal due to too many open sessions. */
    ERROR_TOO_MANY_CONCURRENT_SESSIONS = 6,
    /** A device time error occurred. */
    ERROR_DEVICE_TIME = 7,
    /** A device's Widevine certificate was revoked. */
    ERROR_WIDEVINE_DEV_CERTIFICATE_REVOKED = 8
}
export default DrmErrorCode;
