var DrmErrorCode;
(function (DrmErrorCode) {
    /** Error indicating a general error. */
    DrmErrorCode[DrmErrorCode["ERROR_UNKNOWN"] = 0] = "ERROR_UNKNOWN";
    /** Error indicating an invalid request that was rejected by the server. */
    DrmErrorCode[DrmErrorCode["ERROR_INVALID_REQUEST"] = 1] = "ERROR_INVALID_REQUEST";
    /** Error indicating an unauthorized request. */
    DrmErrorCode[DrmErrorCode["ERROR_NOT_AUTHORIZED"] = 2] = "ERROR_NOT_AUTHORIZED";
    /** Error indicating that the requested content was not found. */
    DrmErrorCode[DrmErrorCode["ERROR_KEY_NOT_FOUND"] = 3] = "ERROR_KEY_NOT_FOUND";
    /**
    Error indicating that an IO error occurred during the license request. This cause of
    this exception will be an java.io.IOException.
    */
    DrmErrorCode[DrmErrorCode["ERROR_IO_ERROR"] = 4] = "ERROR_IO_ERROR";
    /**
    Error indicating that the provisioning request failed. Error of this type can also
    have an java.io.IOException as cause.
    */
    DrmErrorCode[DrmErrorCode["ERROR_PROVISIONING_FAILED"] = 5] = "ERROR_PROVISIONING_FAILED";
    /** Error raised when DRMtoday refuses license renewal due to too many open sessions. */
    DrmErrorCode[DrmErrorCode["ERROR_TOO_MANY_CONCURRENT_SESSIONS"] = 6] = "ERROR_TOO_MANY_CONCURRENT_SESSIONS";
    /** A device time error occurred. */
    DrmErrorCode[DrmErrorCode["ERROR_DEVICE_TIME"] = 7] = "ERROR_DEVICE_TIME";
    /** A device's Widevine certificate was revoked. */
    DrmErrorCode[DrmErrorCode["ERROR_WIDEVINE_DEV_CERTIFICATE_REVOKED"] = 8] = "ERROR_WIDEVINE_DEV_CERTIFICATE_REVOKED";
})(DrmErrorCode || (DrmErrorCode = {}));
export default DrmErrorCode;
