import TrackType from './TrackType';
export default interface SideloadedTrack {
    /** The type of the track. */
    trackType: TrackType;
    /** The URL of the track. */
    url: string;
    /** The MIME type of the track. */
    mimeType?: string;
    /** The language of the track (only text track). */
    language?: string;
    /** The label of the track (only text track). */
    label?: string;
    /** The kind of the track (only text track). */
    kind?: string;
    /** The grid width of the track (only thumbnail track). */
    gridWidth?: number;
    /** The grid height of the track (only thumbnail track). */
    gridHeight?: number;
    /** The interval in milliseconds of the track (only thumbnail track). */
    intervalMs?: number;
}
