require "json"

package = JSON.parse(File.read(File.join(__dir__, "package.json")))

PRESTOPLAY_IOS_SDK_VERSION = '= 4.0.15'

Pod::Spec.new do |s|
  s.name         = "react-native-prestoplay"
  s.version      = package["version"]
  s.summary      = package["description"]
  s.homepage     = package["homepage"]
  s.license      = package["license"]
  s.authors      = package["author"]

  s.platforms    = { :ios => "15.1", :tvos => "15.1" }
  s.source       = { :git => "https://github.com/castlabs/prestoplay-react.git", :tag => "#{s.version}" }
  s.source_files = "ios/*.{h,m,mm,swift}"
  s.exclude_files = "ios/**/*.xcframework/**/*.h"

  s.dependency "React-Core"
  s.dependency "PRESTOplay", PRESTOPLAY_IOS_SDK_VERSION
  s.dependency "CastlabsApple", PRESTOPLAY_IOS_SDK_VERSION
  s.dependency "CastlabsSubtitles", PRESTOPLAY_IOS_SDK_VERSION
  s.dependency "CastlabsThumbnails", PRESTOPLAY_IOS_SDK_VERSION
  s.dependency "CastlabsYoubora", PRESTOPLAY_IOS_SDK_VERSION
  s.ios.dependency "CastlabsDownloader", PRESTOPLAY_IOS_SDK_VERSION
end
