import React, {memo} from 'react';
import {StyleSheet, Text, View} from 'react-native';

export type ErrorMessageProps = {
  message: string;
  style?: any;
};

function ErrorMessage(props: ErrorMessageProps) {
  return (
    <View style={[styles.view, props.style]}>
      <Text style={styles.text}>{props.message}</Text>
    </View>
  );
}

export default memo(ErrorMessage);

const styles = StyleSheet.create({
  view: {
    width: '100%',
    height: '100%',
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
  },
  text: {
    textAlign: 'center',
    color: 'gray',
  },
});
