import AndroidCatchupConfigurationSpeed from './AndroidCatchupConfigurationSpeed';
import AndroidCatchupConfigurationSeek from './AndroidCatchupConfigurationSeek';
import AndroidCatchupConfigurationNone from './AndroidCatchupConfigurationNone';

/**
 * Represents a catchup configuration. This allows the playback position to be between two defined thresholds.
 * The trigger of the catchup mechanism is automatic and based on the playhead.
 * The two available catchup strategies are {@link AndroidCatchupConfigurationType.Seek} and
 * {@link AndroidCatchupConfigurationType.Speed}.
 *
 * @see {@link AndroidCatchupConfigurationSeek}
 * @see {@link AndroidCatchupConfigurationSpeed}
 * @see {@link AndroidCatchupConfigurationNone}
 */
type AndroidCatchupConfiguration =
  | AndroidCatchupConfigurationNone
  | AndroidCatchupConfigurationSeek
  | AndroidCatchupConfigurationSpeed;

export default AndroidCatchupConfiguration;
