import AndroidCatchupConfigurationTimeReference from './AndroidCatchupConfigurationTimeReference';
import AndroidCatchupConfigurationType from './AndroidCatchupConfigurationType';

export default interface AndroidCatchupConfigurationNone {
  /**
   * The time reference to which the thresholds will be relative to.
   */
  timeReference: AndroidCatchupConfigurationTimeReference;

  /**
   * The strategy of the catchup behaviour.
   * @see {@link AndroidCatchupConfigurationType}
   */
  type: AndroidCatchupConfigurationType.None;

  /**
   * Directs the player seek to Catchup Upper Time Threshold on Video Segment Download Timeout Errors.
   */
  seekOnDownloadError?: boolean;
}
