/**
 * Represents a UTCTiming element specifying how the client should synchronize its clock with the server.
 */
export default interface AndroidCustomUtcTimingElement {
  /**
   * Scheme Id URL, see DASH "urn:mpeg:dash:utc:xxx" identifiers.
   */
  schemeIdUri: string;

  /**
   * The value corresponding to the scheme being used.
   */
  value: string;

  /**
   * Whether to force the usage or not. If true this element
   * will always be used regardless of what's informed in the manifest.
   * If false then it will be used as a fallback only.
   */
  force: boolean;
}
