import AndroidSecondaryDisplayBehaviour from './AndroidSecondaryDisplayBehaviour';
import AndroidLiveConfiguration from './AndroidLiveConfiguration';
import AndroidBufferConfiguration from './AndroidBufferConfiguration';

/**
 * Player configuration specific to Android platform.
 */
export default interface AndroidPlayerConfiguration {
  /**
   * The behaviour of the player when a secondary display is connected.
   */
  secondaryDisplayBehaviour?: AndroidSecondaryDisplayBehaviour;

  /**
   * The live configuration to tweak live latency and others.
   */
  liveConfiguration?: AndroidLiveConfiguration;

  /**
   * The buffer configuration to tweak buffer size and others.
   */
  bufferConfiguration?: AndroidBufferConfiguration;
}
