import DescriptorType from './DescriptorType';
import HlsDescriptor from './HlsDescriptor';
import DashDescriptor from './DashDescriptor';

export default interface AudioTrack {
  bitrate: number;
  label: string;
  language: string;
  codecs: string;
  mimeType: string;

  /**
   * Additional metadata extracted from the manifest.
   */
  descriptors: Record<DescriptorType, HlsDescriptor | DashDescriptor>;
}
