import DrmSystem from './DrmSystem';

export default interface KeySystemConfiguration {
  /** The URL of the license server. */
  licensingUrl?: string;
  /** The object with additional request parameters. */
  licensingParameters?: Object;
  /** The ID used to identify this asset when storing offline keys. */
  offlineId?: string; // TODO Is it a good place?
  /** The DRM system used for audio tracks */
  audioDrmSystem?: DrmSystem; // TODO Is it needed?
  /** Enable key rotation also on older devices. */
  keyRotation?: boolean;
  /** Enforce Widevine L3. */
  forceWidevineL3?: boolean;
  /** Whether to play clear sample while fetching the key or not. */
  playClearSamplesWithoutKeys?: boolean;
  /** The license renewal threshold in milliseconds. */
  renewalThreshold?: number;
  /** The certificate URL. */
  certificateUrl?: string;
  /** The object with additional request parameters. */
  certificateParameters?: Object;
}
