export default interface PlayerOptions {
  /**
   * Activate the Picture-in-Picture feature.
   * The button appears at the bottom right.
   * See the [Apple Document] (https://developer.apple.com/documentation/avkit/avplayerviewcontroller/1615821-allowspictureinpictureplayback).
   * The default value is `true`.
   */
  allowsPictureInPicturePlayback?: boolean;

  /** If set to `true`, the player will automatically close on playback ended. The default value is `true`. */
  closeWhenPlaybackEnd?: boolean;

  /**
   * If set to `true`, the user cannot skip the content.
   * See the [Apple document] (https://developer.apple.com/documentation/avkit/avplayerviewcontroller/1627633-requireslinearplayback).
   * The default value is `false`.
   */
  requiresLinearPlayback?: boolean;

  /**
   * If set to `true`, the user cannot skip to the next or previous channel in the live stream.
   * The default value is `false`.
   */
  disableChannelSkipInLiveStream: boolean;
}
