/**
 * The behaviour of the player when a secondary display is connected.
 */
enum SecondaryDisplayBehaviour {
  /**
   * Never allow the content to be displayed on a secondary display.
   */
  Never = 'never',
  /**
   * Allow the content to be displayed on a secondary display.
   * Please keep in mind, a DRM license can prevent playback on secondary,
   * insecure, or remote screens.
   */
  AllowAlways = 'allowAlways',
}

export default SecondaryDisplayBehaviour;
