/**
 * The style of the text track.
 *
 * @example
 * ```
 * {
 *     fontSize: 50,
 *     foregroundColor: 16777215,
 *     backgroundColor: 0,
 *     foregroundOpacity: 0.9,
 *     backgroundOpacity: 0.2,
 *     leftMargin: 0,
 *     rightMargin: 0,
 *     topMargin: 0,
 *     bottomMargin: 0,
 * }
 * ```
 */
export default interface SubtitleStyle {
  fontSize?: number;
  foregroundColor?: number;
  backgroundColor?: number;
  foregroundOpacity?: number;
  backgroundOpacity?: number;
  leftMargin?: number;
  rightMargin?: number;
  topMargin?: number;
  bottomMargin?: number;
}
